mh\_linkjars:
~~~~~~~~~~~~~

Usage:

::

    mh_linkjars [option]...

Reads the file debian/$package.poms and create links for each jar file
generated by a POM listed in the .poms file.

Options:

::

    -h --help: show this text
    -V --version: show the version
    -p<package> --package=<package>: name of the Debian package which will contain the jar files
    -e<version>, --set-version=<version>: set the version for the jars, do not use the version declared in the POM file.
    -r<rules> --rules=<rules>: path to the file containing the rules to apply when cleaning the POM.
      Optional, the default location is debian/maven.rules
    -v --verbose: show more information while running
    -n --no-act: don't actually do anything, just print the results

The .poms file should contain the list of POM files associated with the
list of jars to install in the repository, and each pom file should have
either the option --usj-name, giving the name of the jar (without the
extension) to link to and located in /usr/share/java, or the option
--artifact, which should contain the full name of the source jar to link
to.

For example:

::

    debian/pom.xml --usj-name=httpunit

or

::

    debian/pom.xml --artifact=/usr/share/java/httpunit.jar

mh\_linkjars is used also by jh\_maven\_repo\_helper, the DH 7 plugin
with complements javahelper by installing the jars and the POM metadata
into the Debian Maven repository.
